RFR: 8079134: [TESTBUG] Remove applicable_*gc and needs_*gc groups from TEST.groups

Derek White derek.white at oracle.com
Thu Apr 30 22:11:57 UTC 2015


On 4/30/15 7:52 AM, Leonid Mesnik wrote:
> Hi
>
> Please review this test fix:
> https://bugs.openjdk.java.net/browse/JDK-8079134 
> <https://bugs.openjdk.java.net/browse/JDK-8079134>
>
> Webrev:
> http://cr.openjdk.java.net/~lmesnik/8079134/webrev.00/ 
> <http://cr.openjdk.java.net/%7Elmesnik/8079134/webrev.00/>
>
> Summary:
> The temporary workaround for GC conflicting options should be removed. 
> The jtreg tag '@requires' should be used to resolve GC conflicts.
Hi Leonid,

After talking with Dmitry Fazunenko and David Holmes, it sounds like 
this isn't a good idea.

The issue I'm trying to solve is that there are a set of GC regression 
tests that should not be run unless the JVM under test implements G1, or 
CMS, or ParallelGC. They shouldn't fail or error, there should be no 
attempt to run them. For example, the Embedded JVMs should not run some 
of the GC tests.

My understanding is that @requires doesn't handle this case yet.

A possible complication is that these tests tend to use ProcessBuilder, 
not @run, so annotations don't contain everything.

Thanks,

  - Derek
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.openjdk.java.net/pipermail/hotspot-gc-dev/attachments/20150430/08ef7cbe/attachment.html>


More information about the hotspot-gc-dev mailing list